=== debian/control ===
--- 
+++ 
@@ -54,15 +54,13 @@
 	libpopt-dev,
 	librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 	libreadline-dev,
-	libsystemd-dev [linux-any],
 	libtasn1-6-dev (>= 3.8),
 	libtasn1-bin,
 	liburing-dev [linux-any] <!pkg.samba.nouring>,
 	xfslibs-dev [linux-any],
 	zlib1g-dev (>= 1:1.2.3),
-# python:
-	python3:any,
-	python3-dev:any, libpython3-dev,
+# python (+#904999):
+	python3-dev:any | python3-dev, libpython3-dev,
 	python3-dnspython,
 	python3-etcd,
 	python3-markdown,
@@ -87,7 +85,7 @@
          procps,
          python3,
          python3-dnspython,
-         python3-samba,
+         python3-samba (= ${binary:Version}),
          samba-common (= ${source:Version}),
          samba-common-bin (=${binary:Version}),
          tdb-tools,
@@ -113,13 +111,14 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file and printer sharing with
  Microsoft Windows, OS X, and other Unix systems.  Samba can also function
- as an NT4-style domain controller, and can integrate with both NT4 domains
- and Active Directory realms as a member server.
+ as an Active Directory or NT4-style domain controller, and can integrate
+ with Active Directory realms or NT4 domains as a member server.
  .
  This package provides the components necessary to use Samba as a stand-alone
- file and print server or as an NT4 or Active Directory domain controller.
- For use in an NT4 domain or Active Directory realm, you will also need the
- winbind package.
+ file and print server or as an NT4 domain controller.  For use in an NT4
+ domain or Active Directory realm, you will also need the winbind package.
+ To use samba as an Active Directory domain controller (AD DC), please install
+ samba-ad-dc package.
  .
  This package is not required for connecting to existing SMB/CIFS servers
  (see smbclient) or for mounting remote filesystems (see cifs-utils).
@@ -142,7 +141,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains the shared libraries.
 
@@ -179,7 +178,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains the common files that are used by both the server
  (provided in the samba package) and the client (provided in the samba-clients
@@ -194,7 +193,7 @@
 	krb5-kdc (>> 1.19.0) <pkg.samba.mitkrb5>,
 	${misc:Depends}
 Recommends: libnss-winbind, libpam-winbind,
-# samba-ad-provision is needed for settup only
+# samba-ad-provision is needed for setup only
 	samba-ad-provision
 Breaks: samba-ad-provision (<< ${source:Upstream-Version})
 Description: Samba control files to run AD Domain Controller
@@ -250,7 +249,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains programs for testing the reliability and speed
  of SMB servers, Samba in particular.
@@ -262,7 +261,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains tools for viewing and manipulating the binary
  "registry" found on Windows machines, both locally and remote.
@@ -287,7 +286,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains include files shared by the various Samba-based
  libraries.
@@ -310,7 +309,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains Python 3 bindings for most Samba libraries.
 
@@ -328,7 +327,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains LDB plugins which add support for various Active
  Directory features to the LDB library.
@@ -336,5 +335,3 @@
 Package: samba-vfs-modules
 Architecture: any
 Multi-Arch: same
-Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: ${vfsmods:Depends}
