=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,10 @@
 WAF := PYTHONHASHSEED=1 ./buildtools/bin/waf \
 	$(patsubst parallel=%,-j%,$(filter parallel=%,${DEB_BUILD_OPTIONS}))
 
-# for cross-build or build with foreign python binary
-export _PYTHON_SYSCONFIGDATA_NAME = _sysconfigdata__${DEB_HOST_ARCH_OS}_${DEB_HOST_MULTIARCH}
+ifeq (linux,${DEB_HOST_ARCH_OS})
+# for cross-build or build with foreign python binary (it is _gnu0_i386-gnu on hurd)
+export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__${DEB_HOST_ARCH_OS}_${DEB_HOST_MULTIARCH}
+endif
 
 DESTDIR = ${CURDIR}/debian/tmp
 
@@ -84,13 +86,6 @@
 config-args += \
 	--with-quota \
 	\
-	--with-systemd \
-	--systemd-install-services \
-	--with-systemddir=/lib/systemd/system \
-	--systemd-smb-extra='ExecCondition=/usr/share/samba/is-configured smb' \
-	--systemd-nmb-extra='ExecCondition=/usr/share/samba/is-configured nmb' \
-	--systemd-winbind-extra='ExecCondition=/usr/share/samba/is-configured winbind' \
-	--systemd-samba-extra='ExecCondition=/usr/share/samba/is-configured samba' \
 
 endif
 
@@ -146,6 +141,7 @@
 	fi
 	CC="${CC}" CPP="${CPP}" LD="${LD}" PKGCONFIG="${PKG_CONFIG}" \
 	CPPFLAGS="${CPPFLAGS}" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
+	PYTHON=python3 PYTHON_CONFIG=${DEB_HOST_MULTIARCH}-python3-config \
 	    ${WAF} -j1 -C configure ${config-args} || \
 	  { $(if ${V},echo "==== contents of config.log:"; cat bin/config.log;) false; }
 # #1021371: we only need the single "version" symbol LDB_2.4.4 in the library
@@ -203,3 +199,8 @@
 	rm -f testbuild/selftest/knownfail.d/debian
 	echo '^samba3.smb2.session\ enc.(reauth.|bind.|bind_negative.*|bind_invalid_auth|encryption-aes-.*)\(nt4_dc\)' \
 		>>testbuild/selftest/knownfail.d/debian
+#	echo '^samba3.rpc.schannel_anon_setpw\ anonymous\ password\ set\ \(schannel\ enforced\ server-side\)\(nt4_dc_schannel\)' \
+#		>>testbuild/selftest/knownfail.d/debian
+	echo '^samba4.ntvfs.cifs.ntlm.base.unlink.unlink\(rpc_proxy\)' \
+		>>testbuild/selftest/knownfail.d/debian
+	echo '^samba4.rpc.echo\ against\ rpc\ proxy\ with\ domain\ creds\(rpc_proxy\)' \
