=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: samba
 Section: net
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
            Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>,
@@ -35,11 +36,11 @@
 	libblkid-dev,
 	libbsd-dev,
 	libcap-dev [linux-any],
-	libcephfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+	libcephfs-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x],
 	libcmocka-dev (>= 1.1.3),
 	libcups2-dev,
 	libdbus-1-dev,
-	libglusterfs-dev [linux-any],
+	libglusterfs-dev [!i386],
 	libgnutls28-dev,
 	libgpgme11-dev,
 	libicu-dev,
@@ -52,11 +53,12 @@
 	libparse-yapp-perl,
 	libpcap-dev [hurd-i386 kfreebsd-any],
 	libpopt-dev,
-	librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+	librados-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x],
 	libreadline-dev,
+	libsystemd-dev [linux-any],
 	libtasn1-6-dev (>= 3.8),
 	libtasn1-bin,
-	liburing-dev [linux-any] <!pkg.samba.nouring>,
+	liburing-dev [!i386] <!pkg.samba.nouring>,
 	xfslibs-dev [linux-any],
 	zlib1g-dev (>= 1:1.2.3),
 # python (+#904999):
@@ -332,6 +334,3 @@
  This package contains LDB plugins which add support for various Active
  Directory features to the LDB library.
 
-Package: samba-vfs-modules
-Architecture: any
-Multi-Arch: same
