## samba 4.17.8+dfsg

=== debian/changelog ===
samba (2:4.17.8+dfsg-2) unstable; urgency=medium

  * dnsserver-rename-dns_name_equal.patch
    (forgotten) patch from upstream targetting next stable
    Fixes crashes of named with samba DLZ plugin due to
    symbol name conflict (dns_name_equal() function).
    There's no resulting code changes, just a symbol
    rename.
    https://bugzilla.samba.org/show_bug.cgi?id=14030
    Closes: #1036587, #927747

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 24 May 2023 22:54:43 +0300

samba (2:4.17.8+dfsg-1) unstable; urgency=medium

  * upstream stable/security/bugfix release, fixing the following issues:
   * https://bugzilla.samba.org/show_bug.cgi?id=14810
     CVE-2020-25720 Create Child permission should not allow
     full write to all attributes (additional changes)
   * https://bugzilla.samba.org/show_bug.cgi?id=15143
     New filename parser doesn't check veto files smb.conf parameter
   * https://bugzilla.samba.org/show_bug.cgi?id=15302
     log flood: smbd_calculate_access_mask_fsp: Access denied: message
     level should be lower (this was included in Debian package already)
   * https://bugzilla.samba.org/show_bug.cgi?id=15306
     Floating point exception (FPE) via cli_pull_send
     at source3/libsmb/clireadwrite.c
   * https://bugzilla.samba.org/show_bug.cgi?id=15313
     Large directory optimization broken for non-lcomp path elements
   * https://bugzilla.samba.org/show_bug.cgi?id=15317
     winbindd idmap child contacts the domain controller without a need
   * https://bugzilla.samba.org/show_bug.cgi?id=15318
     idmap_autorid may fail to map sids of trusted domains for the
   * https://bugzilla.samba.org/show_bug.cgi?id=15319
     idmap_hash doesn't use ID_TYPE_BOTH for reverse mappings
   * https://bugzilla.samba.org/show_bug.cgi?id=15323
     net ads search -P doesn't work against servers in other domains
   * https://bugzilla.samba.org/show_bug.cgi?id=15325
     dsgetdcname: assumes local system uses IPv4
   * https://bugzilla.samba.org/show_bug.cgi?id=15328
     test_tstream_more_tcp_user_timeout_spin fails intermittently
     on Rackspace GitLab runners
   * https://bugzilla.samba.org/show_bug.cgi?id=15329
     Reduce flapping of ridalloc test
   * https://bugzilla.samba.org/show_bug.cgi?id=15329
     Reduce flapping of ridalloc test
   * https://bugzilla.samba.org/show_bug.cgi?id=15338
     DS ACEs might be inherited to unrelated object classes
   * https://bugzilla.samba.org/show_bug.cgi?id=15351
     large_ldap test is unreliable
   * https://bugzilla.samba.org/show_bug.cgi?id=15353
     Temporary smbXsrv_tcon_global.tdb can't be parsed
   * https://bugzilla.samba.org/show_bug.cgi?id=15354
     mdssvc may crash when initializing
   * https://bugzilla.samba.org/show_bug.cgi?id=15357
     streams_depot fails to create streams
   * https://bugzilla.samba.org/show_bug.cgi?id=15358
     shadow_copy2 and streams_depot don't play well together
   * https://bugzilla.samba.org/show_bug.cgi?id=15360
     Setting veto files = /.*/ break listing directories
   * https://bugzilla.samba.org/show_bug.cgi?id=15366
     wbinfo -u fails on ad dc with >1000 users
  * d/gbp.conf: switch debian-branch to "bookworm"

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 11 May 2023 10:52:40 +0300
