=== debian/rules ===
--- 
+++ 
@@ -86,6 +86,13 @@
 config-args += \
 	--with-quota \
 	\
+	--with-systemd \
+	--systemd-install-services \
+	--with-systemddir=/lib/systemd/system \
+	--systemd-smb-extra='ExecCondition=/usr/share/samba/is-configured smb' \
+	--systemd-nmb-extra='ExecCondition=/usr/share/samba/is-configured nmb' \
+	--systemd-winbind-extra='ExecCondition=/usr/share/samba/is-configured winbind' \
+	--systemd-samba-extra='ExecCondition=/usr/share/samba/is-configured samba' \
 
 endif
 
@@ -198,9 +205,3 @@
 # FIXME: some tests fail for now, handle them later (last check: 4.17.2, heimdal build)
 	rm -f testbuild/selftest/knownfail.d/debian
 	echo '^samba3.smb2.session\ enc.(reauth.|bind.|bind_negative.*|bind_invalid_auth|encryption-aes-.*)\(nt4_dc\)' \
-		>>testbuild/selftest/knownfail.d/debian
-#	echo '^samba3.rpc.schannel_anon_setpw\ anonymous\ password\ set\ \(schannel\ enforced\ server-side\)\(nt4_dc_schannel\)' \
-#		>>testbuild/selftest/knownfail.d/debian
-	echo '^samba4.ntvfs.cifs.ntlm.base.unlink.unlink\(rpc_proxy\)' \
-		>>testbuild/selftest/knownfail.d/debian
-	echo '^samba4.rpc.echo\ against\ rpc\ proxy\ with\ domain\ creds\(rpc_proxy\)' \
